### Function Macro

# GLib node_insert_data

since: 2.0

#### Declaration

    #define g_node_insert_data (
      parent,
      position,
      data
    )

#### Description

Inserts a new `GNode` at the given position.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`parent`

  Type: `-`

  The `GNode` to place the new `GNode` under.

`position`

  Type: `-`

  The position to place the new `GNode` at. If position is -1, the new `GNode` is inserted as the last child of `parent`.

`data`

  Type: `-`

  The data for the new `GNode`.